import { ad as n, bk as o, gD as l, __tla as __tla_0 } from "./index-9PRMimni.js";
import { g as r } from "./requisitionOrder-D0IG9N7e.js";
let g, d, I, D, v, m, p, f, B, b, y, S, E, h, i, c, $;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })()
]).then(async ()=>{
    const a = "";
    i = function(e) {
        return n.Post(`${a}/financeBondStoreDetails/summaryData`, e);
    };
    c = function(e) {
        return n.Post(`${a}/financeBondStore/seal`, e);
    };
    b = function(e) {
        return n.Post(`${a}/financeBondStoreDetails/importLastMonthBalance`, e);
    };
    f = function(e) {
        return n.Post(`${a}/financeBondStoreDetails/page`, e);
    };
    d = function(e) {
        return n.Post(`${a}/financeBondStoreDetails`, e);
    };
    m = function(e) {
        return n.Put(`${a}/financeBondStoreDetails`, e);
    };
    v = function(e) {
        return n.Delete(`${a}/financeBondStoreDetails/${e}`);
    };
    S = function(e) {
        return n.Post(`${a}/financeBondStoreInventory/page`, e);
    };
    B = function(e) {
        return n.Delete(`${a}/financeBondStoreInventory/${e}`);
    };
    D = function(e) {
        return n.Post(`${a}/financeBondStoreInventory`, e);
    };
    I = function(e) {
        return n.Put(`${a}/financeBondStoreInventory`, e);
    };
    y = function(e) {
        return n.Post(`${a}/financeBondStoreInventory/summaryData`, e);
    };
    E = o();
    p = function(e) {
        return e ? l(e, "DD-MMM-YYYY").format("YYYY-MM-DD") : "";
    };
    $ = await r().then((e)=>e.map((t)=>({
                label: t.shipName,
                labelEn: t.shipNameEn,
                value: t.id
            }))).catch((e)=>(console.error("Error fetching vessel options:", e), []));
    h = [
        {
            label: "一月",
            labelEn: "January",
            value: "1"
        },
        {
            label: "二月",
            labelEn: "February",
            value: "2"
        },
        {
            label: "三月",
            labelEn: "March",
            value: "3"
        },
        {
            label: "四月",
            labelEn: "April",
            value: "4"
        },
        {
            label: "五月",
            labelEn: "May",
            value: "5"
        },
        {
            label: "六月",
            labelEn: "June",
            value: "6"
        },
        {
            label: "七月",
            labelEn: "July",
            value: "7"
        },
        {
            label: "八月",
            labelEn: "August",
            value: "8"
        },
        {
            label: "九月",
            labelEn: "September",
            value: "9"
        },
        {
            label: "十月",
            labelEn: "October",
            value: "10"
        },
        {
            label: "十一月",
            labelEn: "November",
            value: "11"
        },
        {
            label: "十二月",
            labelEn: "December",
            value: "12"
        }
    ];
    g = !1;
});
export { g as I, d as a, I as b, D as c, v as d, m as e, p as f, f as g, B as h, b as i, y as j, S as k, E as l, h as m, i as n, c as u, $ as v, __tla };
